import { PluginCreator } from 'tailwindcss/types/config';

const creator: PluginCreator = ({ addComponents, theme }) =>
	addComponents({
		'.calendar': {
			width: '100%',
			height: 'fit-content',
			tableLayout: 'fixed',
			'&-controller': {
				fontSize: '1.5rem',
				marginBottom: '.5rem',
				display: 'flex',
				justifyContent: 'flex-end',
				alignItems: 'center',
			},
			'&-days .calendar-cell': {
				padding: '.25rem 0',
				borderBottom: `2px solid ${theme('colors.calendar.line.border')}`,
				textAlign: 'center',
				color: theme('colors.calendar.date.color'),
			},
			'& .table-row-group > &-row:nth-child(2) &-cell:not(&--typeMonth) &-day': {
				marginTop: '10px',
			},
			'&-row:hover &-cell-typeWeek &-day--hover': {
				color: theme('colors.focus.color'),
				borderColor: 'transparent',
				backgroundColor: theme('colors.focus.background'),
			},
			'&-cell': {
				display: 'table-cell',
			},
			'&-day': {
				textAlign: 'center',
				margin: '2px auto',
				padding: '2px 0',
				height: '30px',
				width: '30px',
				border: '1px solid transparent',
				borderRadius: theme('borderRadius.full'),
				'&--otherMonth': {
					color: theme('colors.calendar.otherMonth.color'),
				},
				'&--selected': {
					backgroundColor: theme('colors.calendar.selected.background'),
					color: theme('colors.calendar.selected.color'),
					border: `1px solid ${theme('colors.calendar.selected.border')}`,
				},
				'&--today': {
					backgroundColor: theme('colors.active.background'),
					border: `1px solid ${theme('colors.active.border')}`,
					color: theme('colors.active.color'),
				},
				'&--hover:hover': {
					cursor: 'pointer',
					color: theme('colors.focus.color'),
					borderColor: 'transparent',
					backgroundColor: theme('colors.focus.background'),
				},
			},
		},
	});

export default creator;
