import { PluginCreator } from 'tailwindcss/types/config';

const creator: PluginCreator = ({ addComponents, theme }) =>
	addComponents({
		'.hv-wrapper': {
			position: 'relative',
			width: '70px',
			height: '30px',
			borderRadius: theme('borderRadius.md'),
			backgroundColor: 'transparent',
			border: '1px solid',
			borderColor: theme('colors.field.input.border'),
			'&:before': {
				content: 'var(--hv-slider-content-before)',
				position: 'absolute',
				top: '5px',
				left: '8px',
				fontSize: '13px',
				zIndex: '1px',
			},
			'&:after': {
				content: 'var(--hv-slider-content-after)',
				position: 'absolute',
				top: '5px',
				right: '8px',
				fontSize: '13px',
				zIndex: '1',
			},
			'.hv-slider': {
				position: 'absolute',
				left: '0',
				top: '0',
				zIndex: '2',
				height: '28px',
				width: '32px',
				border: '1px solid white',
				borderRadius: theme('borderRadius.md'),
				cursor: 'grab',
				background: theme('colors.humanVerify.no.backgroud'),
				'&--ok': {
					cursor: 'no-drop',
					background: theme('colors.humanVerify.yes.backgroud'),
				},
			},
		},
		'.hv-tips': {
			marginLeft: '.5rem',
		},
	});

export default creator;
